Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit.transports.http
Class MultipartMessageSupport

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.transports.http.MultipartMessageSupport

    public class MultipartMessageSupport

extends java.lang.Object

Utility class for managing large MultiParts

Author:
  ole.matzura

Constructor Summary
`MultipartMessageSupport(javax.activation.DataSource dataSource, java.lang.String rootPartId, WsdlOperation operation, boolean isRequest)`

Method Summary
`Attachment[]` | `getAttachments()`
`Attachment[]` | `getAttachmentsForPart(java.lang.String partName)`
`Attachment` | `getAttachmentWithContentId(java.lang.String contentId)`
`java.lang.String` | `getContentAsString()`
`Attachment` | `getRootPart()`
`void` | `setOperation(WsdlOperation operation)`
`void` | `setResponseContent(java.lang.String responseContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipartMessageSupport

    public MultipartMessageSupport(javax.activation.DataSource dataSource,
                                   java.lang.String rootPartId,
                                   WsdlOperation operation,
                                   boolean isRequest)
                            throws javax.mail.MessagingException

Throws:
  `javax.mail.MessagingException`

Method Detail

### setOperation

    public void setOperation(WsdlOperation operation)

### getAttachments

    public Attachment[] getAttachments()

### getRootPart

    public Attachment getRootPart()

### getAttachmentsForPart

    public Attachment[] getAttachmentsForPart(java.lang.String partName)

### getContentAsString

    public java.lang.String getContentAsString()

### setResponseContent

    public void setResponseContent(java.lang.String responseContent)

### getAttachmentWithContentId

    public Attachment getAttachmentWithContentId(java.lang.String contentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.